from sync_amz_data.settings import LOG_CONF, REDIS_CONF
from sync_amz_data.public import SPClient
from sync_amz_data.tasks import *

import logging.config
import dramatiq
from dramatiq import actor
from dramatiq.brokers.redis import RedisBroker

dramatiq.set_broker(RedisBroker(**REDIS_CONF))


# @actor(queue_name="sp")
# def sp_task():
#     pass


@actor(queue_name="sb")
def sb(**task_info):
    SBTask(task_info["profile_id"]).do(task_info)


# @actor(queue_name="sd")
# def sd(**data):
#     pass


if __name__ == '__main__':
    logging.config.dictConfig(LOG_CONF)

    AWS_CREDENTIALS = {
        'lwa_client_id': 'amzn1.application-oa2-client.ebd701cd07854fb38c37ee49ec4ba109',
        'refresh_token': "Atzr|IwEBIL4ur8kbcwRyxVu_srprAAoTYzujnBvA6jU-0SMxkRgOhGjYJSUNGKvw24EQwJa1jG5RM76mQD2P22AKSq8qSD94LddoXGdKDO74eQVYl0RhuqOMFqdrEZpp1p4bIR6_N8VeSJDHr7UCuo8FiabkSHrkq7tsNvRP-yI-bnpQv4EayPBh7YwHVX3hYdRbhxaBvgJENgCuiEPb35Q2-Z6w6ujjiKUAK2VSbCFpENlEfcHNsjDeY7RCvFlwlCoHj1IeiNIaFTE9yXFu3aEWlExe3LzHv6PZyunEi88QJSXKSh56Um0e0eEg05rMv-VBM83cAqc5POmZnTP1vUdZO8fQv3NFLZ-xU6e1WQVxVPi5Cyqk4jYhGf1Y9t98N654y0tVvw74qNIsTrB-8bGS0Uhfe24oBEWmzObvBY3zhtT1d42myGUJv4pMTU6yPoS83zhPKm3LbUDEpBA1hvvc_09jHk7vUEAuFB-UAZzlht2C1yklzQ",
        'lwa_client_secret': 'cbf0514186db4df91e04a8905f0a91b605eae4201254ced879d8bb90df4b474d',
        'profile_id': "3006125408623189"
    }
    sp = SPClient(**AWS_CREDENTIALS)
    sp.get_campaigns(count=10)
